#include<iostream.h> 
#include<iomanip.h> 
 void fib(int a[],int n);
 const int m=100; 
 int main()                                                  
{
 int a[m],n;
 cout<<"请输入数列的项数："<<endl;
 cin>>n;
 fib(a,n);
 for(int i=0;i<n;i++)
 {
  cout<<setw(6)<<a[i]; 
  if((i+1)%5==0)
   cout<<endl; 
 }
 return(0); 
}
void fib(int a[],int n)
{
 for(int i=0;i<n;i++)
  if(i<2)
   a[i]=1;
  else
   a[i]=a[i-1]+a[i-2];
}